Bug 15706 - Templates require circulate permissions to show circ related tabs when they should only require circulate_remaining_permissions
Summary: Templates require circulate permissions to show circ related tabs when they s...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Assignee: Aleisha Amohia
QA Contact: Testopia
URL:
Keywords:
Depends on: 12051
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-29 19:17 UTC by Kyle M Hall
Modified: 2017-06-14 22:10 UTC (History)
8 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 15706: Changing to circulate_remaining_permissions (20.91 KB, patch)
2016-01-31 21:18 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 15706: Changing to circulate_remaining_permissions (21.04 KB, patch)
2016-02-01 07:33 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 15706: Changing to circulate_remaining_permissions (21.04 KB, patch)
2016-02-01 21:34 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 15706: Forgot to attach the change I made! (995 bytes, patch)
2016-02-01 22:37 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 15706: Forgot to attach the change I made! (1.02 KB, patch)
2016-02-03 14:55 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 15706: Changing to circulate_remaining_permissions (21.11 KB, patch)
2016-02-09 10:36 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 15706: (follow-up) Changing to circulate_remaining_permissions (1.11 KB, patch)
2016-02-09 10:37 UTC, Jonathan Druart
Details | Diff | Splinter Review
[3.22] Bug 15706: Changing to circulate_remaining_permissions (19.82 KB, patch)
2016-03-07 09:32 UTC, Julian Maurice
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2016-01-29 19:17:04 UTC
For instance, in cat-search.inc, the checkin box is wrapped with [% IF ( CAN_user_circulate ) %] yet a librarian with only CAN_user_circulate_circulate_remaining_permissions should be able to see the box, as checkins only require circulate_remaining_permissions.
Comment 1 Aleisha Amohia 2016-01-31 21:18:39 UTC Comment hidden (obsolete)
Comment 2 Aleisha Amohia 2016-02-01 00:42:03 UTC
Sponsored-by: Catalyst IT
Comment 3 Marc Véron 2016-02-01 07:33:41 UTC Comment hidden (obsolete)
Comment 4 Jonathan Druart 2016-02-01 12:14:05 UTC
With a patron without circulate_remaining_permissions, but another subperm of circulate, I get 2 inputs on the mainpage:

Enter patron card number or partial name:
[+]

Enter patron card number or partial name:

And 2 tabs 
    Search patrons
    Search the catalog
Comment 5 Aleisha Amohia 2016-02-01 21:34:51 UTC Comment hidden (obsolete)
Comment 6 Aleisha Amohia 2016-02-01 22:37:05 UTC Comment hidden (obsolete)
Comment 7 Kyle M Hall 2016-02-03 14:55:48 UTC Comment hidden (obsolete)
Comment 8 Jonathan Druart 2016-02-09 10:36:02 UTC
Created attachment 47786 [details] [review]
Bug 15706: Changing to circulate_remaining_permissions

I have only changed this in the includes for the tabs at the top.
Dependent on Bug 12051 as that patch adds extra tabs to the top which would need to be changed later

To test:
1) Apply Bug 12051 first, then this patch
2) Ensure that Check Out/Check In/Renew tabs still work as they should
3) Check patch for errors or pages I've missed

Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 9 Jonathan Druart 2016-02-09 10:37:32 UTC
Created attachment 47787 [details] [review]
Bug 15706: (follow-up) Changing to circulate_remaining_permissions

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 10 Brendan Gallagher 2016-02-23 22:39:49 UTC
Pushed to Master - Should be in the May 2016 Release. Thanks!
Comment 11 Julian Maurice 2016-03-07 09:32:04 UTC
Created attachment 48728 [details] [review]
[3.22] Bug 15706: Changing to circulate_remaining_permissions

Patch for 3.22.x
Comment 12 Julian Maurice 2016-03-07 09:39:46 UTC
Patch pushed to 3.22.x, will be in 3.22.5
Comment 13 Frédéric Demians 2016-03-15 07:11:41 UTC
This patch doesn't apply properly on 3.20 branch. Since 17 files are affected, I can't take the risk to fix the merging issues. Can the author of the patch propose a version for 3.20?